ServerEvents.recipes((event) => {
  //listen for the "recipes" server event.
  console.log("Extruding recipes");
  event.recipes
    .createMechanicalExtruderExtruding(Item.of("minecraft:andesite"), [
      Fluid.of("minecraft:lava"),
      Fluid.of("minecraft:water"),
    ])
    .withCatalyst("minecraft:polished_andesite");
  event.recipes
    .createMechanicalExtruderExtruding(Item.of("minecraft:sandstone"), [
      Fluid.of("minecraft:lava"),
      Fluid.of("minecraft:water"),
    ])
    .withCatalyst("minecraft:sandstone");

  event.recipes
    .createMechanicalExtruderExtruding(Item.of("minecraft:netherrack"), [
      Fluid.of("minecraft:lava"),
      Fluid.of("minecraft:water"),
    ])
    .withCatalyst("minecraft:netherrack");
  event.recipes
    .createMechanicalExtruderExtruding(Item.of("minecraft:end_stone"), [
      Fluid.of("minecraft:lava"),
      Fluid.of("minecraft:water"),
    ])
    .withCatalyst("minecraft:end_stone");
  event.recipes
    .createMechanicalExtruderExtruding(Item.of("minecraft:deepslate"), [
      Fluid.of("minecraft:lava"),
      Fluid.of("minecraft:water"),
    ])
    .withCatalyst("minecraft:deepslate");

  event.recipes
    .createMechanicalExtruderExtruding(Item.of("minecraft:obsidian"), [
      Item.of("minecraft:blue_ice"),
      Fluid.of("minecraft:lava"),
    ])
    .withCatalyst("minecraft:diamond_block");
  
  event.recipes
    .createMechanicalExtruderExtruding(Item.of("minecraft:soul_sand"), [
      Fluid.of("minecraft:lava"),
      Fluid.of("minecraft:water"),
    ])
    .withCatalyst("minecraft:soul_soil");

  event.recipes
    .createMechanicalExtruderExtruding(Item.of("ad_astra:moon_sand"), [
      Fluid.of("minecraft:lava"),
      Fluid.of("minecraft:water"),
    ])
    .withCatalyst("ad_astra:moon_sand");

        event.recipes
    .createMechanicalExtruderExtruding(Item.of("ad_astra:moon_stone"), [
      Fluid.of("minecraft:lava"),
      Fluid.of("minecraft:water"),
    ])
    .withCatalyst("ad_astra:polished_moon_stone");


    event.recipes
    .createMechanicalExtruderExtruding(Item.of("ad_astra:mars_sand"), [
      Fluid.of("minecraft:lava"),
      Fluid.of("minecraft:water"),
    ])
    .withCatalyst("ad_astra:mars_sand");

        event.recipes
    .createMechanicalExtruderExtruding(Item.of("ad_astra:mars_stone"), [
      Fluid.of("minecraft:lava"),
      Fluid.of("minecraft:water"),
    ])
    .withCatalyst("ad_astra:polished_mars_stone");
});
